xrSDK LE:Engine shader $ non compatible with compiler shader $

Материал из Modders-wiki - Библиотека знаний модмейкеров S.T.A.L.K.E.R.
Перейти к: навигация, поиск
Object 'detail\det_list_01': engine shader 'details\blend' non compatible with compiler shader 'default'

Ошибка

Возникает при попытке собрать уровень в редакторе для последующей компиляции.
Engine shader (в данном случае: details\blend) не совместим с compiler shader (в данном случае: default).

Решение[1]

Поменяйте указанный compiler шейдер (в данном случае: default) на другой. Чтобы знать, какой-точно подберите самостоятельно под свой объект из таблицы в статье: Пресеты X-Ray материалов

Запустите Level editor без загрузки локации, перейдите во вкладку Scene, выберите пункт Objects -> Library Editor. Найдите в списке указанную папку (в данном случае: detail), и указанный объект в ней (в данном случае: det_list_01), и укажите ему другой compile шейдер.

Источник

  1. Тема "[X-Ray SDK] Инструкции по вылетам и ошибкам" на AMK форуме